diff -ru b43-fwcutter-017.pristine/debian/b43-fwcutter.templates b43-fwcutter-017/debian/b43-fwcutter.templates
--- b43-fwcutter-017.pristine/debian/b43-fwcutter.templates	2013-02-06 02:12:39.000000000 +0000
+++ b43-fwcutter-017/debian/b43-fwcutter.templates	2013-05-19 12:37:00.484353388 +0100
@@ -1,8 +1,12 @@
 Template: b43-fwcutter/install-unconditional
 Type: boolean
 Default: true
-_Description: Install firmware for hardware not present on this system?
- Should the installer package download and install firmware for hardware
- that is not currently present on the system. This is useful if you plan to
- move this installation to different hardware or share the same
- installation on different systems.
+_Description: Install b43 firmware even if no such device is present?
+ The b43 packages are designed to handle firmware for Broadcom 43xx
+ wireless network cards.
+ .
+ Please choose whether they should download and install firmware even
+ if the corresponding hardware is not currently present on the system.
+ .
+ This might be useful if you plan to move this installation to different
+ hardware or share the same installation across multiple systems.
diff -ru b43-fwcutter-017.pristine/debian/control b43-fwcutter-017/debian/control
--- b43-fwcutter-017.pristine/debian/control	2013-02-06 02:12:39.000000000 +0000
+++ b43-fwcutter-017/debian/control	2013-05-19 13:00:42.554783800 +0100
@@ -11,10 +11,12 @@
 Package: b43-fwcutter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Utility for extracting Broadcom 43xx firmware
- fwcutter is a tool which can extract firmware from various source files.
- It's written for BCM43xx driver files. It grabs firmware for BCM43xx
- from a website and installs it. 
+Description: utility for extracting Broadcom 43xx firmware
+ This package provides a tool for extracting BCM43xx wireless chip
+ firmware from Broadcom's proprietary driver files.
+ .
+ It is used by the firmware-b43(legacy)-installer packages as part of
+ the automated process of downloading and installing firmware.
 
 Package: firmware-b43-installer
 Section: contrib/kernel
@@ -23,28 +25,28 @@
 Recommends: linux-image
 Replaces: firmware-b43-lpphy-installer (<= 1:015-14)
 Breaks: firmware-b43-lpphy-installer (<= 1:015-14)
-Description: Installer package for firmware for the b43 driver
- This package installs the firmware required for the use of the b43
- kernel driver.
+Description: firmware installer for the b43 driver
+ This package downloads and installs the firmware needed by the b43
+ kernel driver for some Broadcom 43xx wireless network cards.
  .
  Supported chipsets:
-  - BCM4306/3
-  - BCM4311
-  - BCM4318
-  - BCM4321
-  - BCM4322 (only 14e4:432b)
-  - BCM4312 (with Low-Power aka LP-PHY)
+  * BCM4306/3;
+  * BCM4311;
+  * BCM4318;
+  * BCM4321;
+  * BCM4322 (only 14e4:432b);
+  * BCM4312 (with Low-Power a.k.a. LP-PHY).
 
 Package: firmware-b43legacy-installer
 Section: contrib/kernel
 Architecture: all
 Recommends: linux-image
 Depends: b43-fwcutter (>= ${source:Version}), wget, ${misc:Depends}
-Description: Installer package for firmware for the b43legacy driver
- This package installs the firmware needed for the use of the
- b43legacy kernel driver.
+Description: firmware installer for the b43legacy driver
+ This package downloads and installs the firmware needed by the b43legacy
+ kernel driver for some Broadcom 43xx wireless network cards.
  .
  Supported chipsets:
-  - BCM4301
-  - BCM4306/2
-  - BCM4306
+  * BCM4301;
+  * BCM4306/2;
+  * BCM4306.
